Public Member Functions | Protected Attributes | Friends

# XbIoSamplesBlock Class Reference

Stores a block of I/O samples. More...

`#include <xbitems.h>`

Inheritance diagram for XbIoSamplesBlock:
[legend]
Collaboration diagram for XbIoSamplesBlock:
[legend]

List of all members.

## Public Member Functions
| XbIoSamplesBlock ()
quint8 | samplesCnt ()
quint16 | digitalMask ()
quint8 | analogMask ()
quint16 | digitalSample ()
quint16 | analogSample (quint8 input)
## Protected Attributes
quint8 | mSamplesCnt
quint16 | mDigitalMask
quint16 | mDigitalSample
quint8 | mAnalogMask
QList< quint16 > | mAnalogSamples
## Friends
class | XbIoSamplesItem

## Detailed Description

Stores a block of I/O samples.

Definition at line 308 of file xbitems.h.

## Constructor & Destructor Documentation

XbIoSamplesBlock::XbIoSamplesBlock | ( |  | ) |

Definition at line 107 of file xbitems.cpp.

References mAnalogMask, mAnalogSamples, mDigitalMask, mDigitalSample, XbStreamItemList::mItems, and mSamplesCnt.

## Member Function Documentation

quint8 XbIoSamplesBlock::analogMask | ( |  | ) | `[inline]`

Definition at line 316 of file xbitems.h.

References mAnalogMask.

quint16 XbIoSamplesBlock::analogSample | ( | quint8 | input | ) | `[inline]`

Definition at line 319 of file xbitems.h.

quint16 XbIoSamplesBlock::digitalMask | ( |  | ) | `[inline]`

Definition at line 315 of file xbitems.h.

References mDigitalMask.

Referenced by ShXbee::processPacket().

Here is the caller graph for this function:

quint16 XbIoSamplesBlock::digitalSample | ( |  | ) | `[inline]`

Definition at line 318 of file xbitems.h.

References mDigitalSample.

Referenced by ShXbee::processPacket().

Here is the caller graph for this function:

quint8 XbIoSamplesBlock::samplesCnt | ( |  | ) | `[inline]`

Definition at line 313 of file xbitems.h.

References mSamplesCnt.

## Friends And Related Function Documentation

friend class XbIoSamplesItem`[friend]`

Definition at line 327 of file xbitems.h.

## Member Data Documentation

quint8 XbIoSamplesBlock::mAnalogMask`[protected]`

Definition at line 324 of file xbitems.h.

Referenced by analogMask(), XbIoSamplesBlock(), and XbIoSamplesItem::XbIoSamplesItem().

QList<quint16> XbIoSamplesBlock::mAnalogSamples`[protected]`

Definition at line 325 of file xbitems.h.

Referenced by XbIoSamplesBlock(), and XbIoSamplesItem::XbIoSamplesItem().

quint16 XbIoSamplesBlock::mDigitalMask`[protected]`

Definition at line 323 of file xbitems.h.

Referenced by digitalMask(), XbIoSamplesBlock(), and XbIoSamplesItem::XbIoSamplesItem().

quint16 XbIoSamplesBlock::mDigitalSample`[protected]`

Definition at line 323 of file xbitems.h.

Referenced by digitalSample(), XbIoSamplesBlock(), and XbIoSamplesItem::XbIoSamplesItem().

quint8 XbIoSamplesBlock::mSamplesCnt`[protected]`

Definition at line 319 of file xbitems.h.

Referenced by samplesCnt(), XbIoSamplesBlock(), and XbIoSamplesItem::XbIoSamplesItem().

The documentation for this class was generated from the following files:

- shxbee/xbitems.h
- shxbee/xbitems.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends